Bug 1167469 - Make DirectoryImplementor#deleteFile apply changes asynchronously
Summary: Make DirectoryImplementor#deleteFile apply changes asynchronously
Keywords:
Status: ON_QA
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER7
: 6.4.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-24 21:02 UTC by Gustavo Fernandes
Modified: 2022-05-31 22:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4605 0 Major Resolved Race condition during Marshalling of Lucene Directory components would trigger nonsense during unmarshalling 2014-11-24 21:03:26 UTC
Red Hat Issue Tracker ISPN-4611 0 Major Resolved Explore ability to use Put-Async in some operations on the Lucene Directory 2014-11-24 21:03:12 UTC
Red Hat Issue Tracker ISPN-4708 0 Major Resolved Make DirectoryImplementor#deleteFile apply changes asynchronously 2014-11-24 21:02:56 UTC
Red Hat Issue Tracker ISPN-4807 0 Minor Resolved NPE under high load when using async metadata writes for the Lucene Directory 2014-11-24 21:03:42 UTC

Description Gustavo Fernandes 2014-11-24 21:02:56 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sebastian Łaskawiec 2014-11-25 13:27:24 UTC
PR: https://github.com/infinispan/jdg/pull/371


Note You need to log in before you can comment on or make changes to this bug.